# Operations

Use operations to generate invoices and credit memos, collect payments for posted invoices, and generate previews of future invoice items for customer accounts.

 - [POST /v1/operations/billing-preview](https://developer.zuora.com/v1-api-reference/api/operations/post_billingpreview.md): Generates a preview of future invoice items for one customer account. Use the BillingPreview call to calculate how much a single customer will be invoiced from the most recent invoice to a specific en
 - [POST /v1/operations/invoice-collect](https://developer.zuora.com/v1-api-reference/api/operations/post_transactioninvoicepayment.md): Generates and posts invoices and credit memos, and collects payments for posted invoices. Credit memos are only available if you have the Invoice Settlement feature enabled and negative charges exist.
 - [GET /v1/operations/jobs/{jobId}](https://developer.zuora.com/v1-api-reference/api/operations/get_operationjob.md): Retrieves information about a specific operation job. Currently, you can only use this API operation to retrieve the status information about invoice deletion and reversal operation jobs.
 - [POST /v1/operations/bulk-pdf](https://developer.zuora.com/v1-api-reference/api/operations/create_bulkpdftozipgeneration.md): The background job that compresses large number of PDF(s) into ZIP files. For answers to frequently asked questions regarding exporting bulk PDF files, see Export Bulk PDF Files FAQs. **Note**: Do not
 - [GET /v1/operations/bulk-pdf/{jobId}](https://developer.zuora.com/v1-api-reference/api/operations/get_bulkpdftozipgeneration.md): Retrieves information about the job which includes its status, message, and downloadable ZIP file URL link.
